Bug 588672 - SELinux is preventing /usr/bin/passwd "getattr" access on /tmp/keyring-QWXvut/socket.
SELinux is preventing /usr/bin/passwd "getattr" access on /tmp/keyring-Q...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:650fb213f1f...
:
: 588673 588709 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-04 05:04 EDT by alextazy0
Modified: 2015-03-03 17:47 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:06:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description alextazy0 2010-05-04 05:04:14 EDT
Résumé:

SELinux is preventing /usr/bin/passwd "getattr" access on
/tmp/keyring-QWXvut/socket.

Description détaillée:

[SELinux est en mode permissif. Cet accès n'a pas été refusé.]

SELinux denied access requested by passwd. It is not expected that this access
is required by passwd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Autoriser l'accès:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Informations complémentaires:

Contexte source               unconfined_u:unconfined_r:passwd_t:s0-s0:c0.c1023
Contexte cible                unconfined_u:object_r:tmp_t:s0
Objets du contexte            /tmp/keyring-QWXvut/socket [ sock_file ]
source                        passwd
Chemin de la source           /usr/bin/passwd
Port                          <Inconnu>
Hôte                         (removed)
Paquetages RPM source         passwd-0.77-1.fc12
Paquetages RPM cible          
Politique RPM                 selinux-policy-3.6.32-110.fc12
Selinux activé               True
Type de politique             targeted
Mode strict                   Permissive
Nom du plugin                 catchall
Nom de l'hôte                (removed)
Plateforme                    Linux (removed) 2.6.32.11-99.fc12.i686 #1 SMP
                              Mon Apr 5 16:32:08 EDT 2010 i686 i686
Compteur d'alertes            1
Première alerte              lun. 03 mai 2010 22:02:40 CEST
Dernière alerte              lun. 03 mai 2010 22:02:40 CEST
ID local                      d004fbe2-1198-4c1e-88c3-dda4747bdd32
Numéros des lignes           

Messages d'audit bruts        

node=(removed) type=AVC msg=audit(1272916960.296:31258): avc:  denied  { getattr } for  pid=3882 comm="passwd" path="/tmp/keyring-QWXvut/socket" dev=sda2 ino=813199 scontext=unconfined_u:unconfined_r:passwd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:tmp_t:s0 tclass=sock_file

node=(removed) type=SYSCALL msg=audit(1272916960.296:31258): arch=40000003 syscall=196 success=yes exit=0 a0=93fab8d a1=bf85d7bc a2=558ff4 a3=3 items=0 ppid=3872 pid=3882 auid=501 uid=501 gid=501 euid=501 suid=501 fsuid=501 egid=501 sgid=501 fsgid=501 tty=pts2 ses=14 comm="passwd" exe="/usr/bin/passwd" subj=unconfined_u:unconfined_r:passwd_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,passwd,passwd_t,tmp_t,sock_file,getattr
audit2allow suggests:

#============= passwd_t ==============
allow passwd_t tmp_t:sock_file getattr;
Comment 1 Miroslav Grepl 2010-05-04 08:49:51 EDT
*** Bug 588673 has been marked as a duplicate of this bug. ***
Comment 2 Miroslav Grepl 2010-05-04 08:50:28 EDT
*** Bug 588709 has been marked as a duplicate of this bug. ***
Comment 3 Daniel Walsh 2010-05-04 13:33:35 EDT
Keyring pam module should not start daemon if it is not running, it should just exit.  There is no way we can get this transition correct.  And I believe this is fundamentally broken.
Comment 4 Bug Zapper 2010-11-03 11:41:35 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 10:06:47 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.